Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.jmx
Interface HAServiceMBean

All Superinterfaces:
  javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  HAILSharedStateMBean, HASingletonControllerMBean, HASingletonMBean

All Known Implementing Classes:
  HAILSharedState, HAServiceMBeanSupport, HASingletonController, HASingletonSupport

public interface HAServiceMBean
extends org.jboss.system.ServiceMBean, javax.management.NotificationBroadcaster

HA-Service interface. Defines common functionality for partition symmetric (farming) services.

Version:
  $Revision: 1.2 $
Author:
  Ivelin Ivanov

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `callMethodOnPartition(String methodName, Object[] args)` Convenience method for broadcasting a call to all members of a partition.
`Serializable` | `getDistributedState(String key)` Convenience method for sharing state across a cluster partition.
`String` | `getPartitionName()` Name of the underlying partition that determine the cluster to use.
`void` | `sendNotification(javax.management.Notification notification)` Broadcast the notification to the remote listener nodes (if any) and then invoke super.sendNotification() to notify local listeners.
`void` | `setDistributedState(String key, Serializable value)` Convenience method for sharing state across a cluster partition.
`void` | `setPartitionName(String partitionName)` Set the name of the underlying partition that determine the cluster to use.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPartitionName

    public String getPartitionName()

  Name of the underlying partition that determine the cluster to use.

### setPartitionName

    public void setPartitionName(String partitionName)

  Set the name of the underlying partition that determine the cluster to use. Can be set only when the MBean is not in a STARTED or STARTING state.

### callMethodOnPartition

    public void callMethodOnPartition(String methodName,
                                      Object[] args)
                               throws Exception

  Convenience method for broadcasting a call to all members of a partition.

  Parameters:
    `methodName` -
    `args` -
  Throws:
    `Exception`

### getDistributedState

    public Serializable getDistributedState(String key)

  Convenience method for sharing state across a cluster partition. Delegates to the DistributedStateService

  Parameters:
    `key` - key for the distributed object
  Returns:
    Serializable the distributed object

### setDistributedState

    public void setDistributedState(String key,
                                    Serializable value)
                             throws Exception

  Convenience method for sharing state across a cluster partition. Delegates to the DistributedStateService

  Parameters:
    `key` - key for the distributed object
    `value` - the distributed object
  Throws:
    `Exception`

### sendNotification

    public void sendNotification(javax.management.Notification notification)

  Broadcast the notification to the remote listener nodes (if any) and then invoke super.sendNotification() to notify local listeners.

  Parameters:
    `notification` - sent out to local listeners and other nodes. It should be serializable. It is recommended that the source of the notification is an ObjectName of an MBean that is is available on all nodes where the broadcaster MBean is registered.
  See Also:
    `NotificationBroadcasterSupport.sendNotification(Notification)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.